Retrieve comprehensive company contact and filer information through the SEC Filing Data Contact Data API. This POST endpoint allows you to search SEC filers and access structured contact information, including company names, CIK numbers, ticker symbols, SIC codes, business and mailing addresses, phone numbers, email addresses, websites, and related webpages. The API returns contact data in JSON format, making it easy to integrate SEC filer information into applications, research platforms, financial tools, business intelligence systems, and automated workflows. Use flexible search parameters to quickly find and retrieve the contact information associated with SEC-registered companies and filers.
All requests require an API token in the Authorization header.
Authorization: AUTH_TOKEN
| Parameter | Type | Required | Description |
|---|---|---|---|
| query_type | string | Required |
Search type.
Supported:
|
| query_value | string | Required | Search value based on query_type |
| from | integer | Optional | Pagination starting offset |
| size | integer | Optional | Number of records to return (Maximum:100) |
| sort_order | string | Optional | ASC or DESC |
| Description | Type | Value |
|---|---|---|
| Search by cik | cik | 0000320193 |
| Search by companyName | companyName | Apple Inc. |
| Search by ticker | ticker | AAPL |
{
'query_type' => 'companyName',
'query_value' => 'Apple Inc.',
'from' => 0,
'size' => 10,
'sort_order' => 'DESC',
'startDate' => '',
'endDate' => '',
}
<?php
$url = "https://api.secfilingdata.com/v1/filings/contactdata/";
$auth_token = 'AUTH_TOKEN';
$postData = array(
'query_type' => 'companyName',
'query_value' => 'Apple Inc.',
'from' => 0,
'size' => 10,
'sort_order' => 'DESC',
'startDate' => '',
'endDate' => '',
);
$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($postData));
curl_setopt($ch, CURLOPT_HTTPHEADER, [
'Content-Type: application/json',
'Authorization: ' . $auth_token,
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
import requests
url = "https://api.secfilingdata.com/v1/filings/contactdata/"
auth_token = "AUTH_TOKEN"
post_data = {
"query_type": "companyName",
"query_value": "Apple Inc.",
"from": 0,
"size": 10,
"sort_order": "DESC",
"startDate": "",
"endDate": ""
}
headers = {
"Content-Type": "application/json",
"Authorization": auth_token
}
response = requests.post(url, json=post_data, headers=headers)
print(response.text)
const url = "https://api.secfilingdata.com/v1/filings/contactdata/";
const authToken = "AUTH_TOKEN";
const postData = {
query_type: "companyName",
query_value: "Apple Inc.",
from: 0,
size: 10,
sort_order: "DESC",
startDate: "",
endDate: ""
};
fetch(url, {
method: "POST",
headers: {
"Content-Type": "application/json",
"Authorization": authToken
},
body: JSON.stringify(postData)
})
.then(response => response.text())
.then(data => console.log(data))
.catch(error => console.error(error));
const https = require("https");
const postData = JSON.stringify({
query_type: "companyName",
query_value: "Apple Inc.",
from: 0,
size: 10,
sort_order: "DESC",
startDate: "",
endDate: ""
});
const options = {
hostname: "api.secfilingdata.com",
path: "/v1/filings/contactdata/",
method: "POST",
headers: {
"Content-Type": "application/json",
"Authorization": "AUTH_TOKEN",
"Content-Length": Buffer.byteLength(postData)
}
};
const req = https.request(options, res => {
let response = "";
res.on("data", chunk => {
response += chunk;
});
res.on("end", () => {
console.log(response);
});
});
req.on("error", error => {
console.error(error);
});
req.write(postData);
req.end();
curl -X POST "https://api.secfilingdata.com/v1/filings/contactdata/" \
-H "Content-Type: application/json" \
-H "Authorization: AUTH_TOKEN" \
-d '{
"query_type": "companyName",
"query_value": "Apple Inc.",
"from": 0,
"size": 10,
"sort_order": "DESC",
"startDate": "",
"endDate": ""
}'
package main
import (
"bytes"
"fmt"
"io"
"net/http"
)
func main() {
url := "https://api.secfilingdata.com/v1/filings/contactdata/"
jsonData := []byte(`{
"query_type": "companyName",
"query_value": "Apple Inc.",
"from": 0,
"size": 10,
"sort_order": "DESC",
"startDate": "",
"endDate": ""
}`)
req, err := http.NewRequest("POST", url, bytes.NewBuffer(jsonData))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
req.Header.Set("Authorization", "AUTH_TOKEN")
client := &http.Client{}
response, err := client.Do(req)
if err != nil {
panic(err)
}
defer response.Body.Close()
body, err := io.ReadAll(response.Body)
if err != nil {
panic(err)
}
fmt.Println(string(body))
}
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
public class Main {
public static void main(String[] args) throws Exception {
String url = "https://api.secfilingdata.com/v1/filings/contactdata/";
String json = """
{
"query_type": "companyName",
"query_value": "Apple Inc.",
"from": 0,
"size": 10,
"sort_order": "DESC",
"startDate": "",
"endDate": ""
}
""";
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create(url))
.header("Content-Type", "application/json")
.header("Authorization", "AUTH_TOKEN")
.POST(HttpRequest.BodyPublishers.ofString(json))
.build();
HttpClient client = HttpClient.newHttpClient();
HttpResponse response =
client.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}
using System;
using System.Net.Http;
using System.Text;
using System.Threading.Tasks;
class Program
{
static async Task Main()
{
string url =
"https://api.secfilingdata.com/v1/filings/contactdata/";
using HttpClient client = new HttpClient();
client.DefaultRequestHeaders.Add(
"Authorization",
"AUTH_TOKEN"
);
string json = @"{
""query_type"": ""companyName"",
""query_value"": ""Apple Inc."",
""from"": 0,
""size"": 10,
""sort_order"": ""DESC"",
""startDate"": """",
""endDate"": """"
}";
using StringContent content = new StringContent(
json,
Encoding.UTF8,
"application/json"
);
HttpResponseMessage response =
await client.PostAsync(url, content);
string result = await response.Content.ReadAsStringAsync();
Console.WriteLine(result);
}
}
require "net/http"
require "uri"
require "json"
url = URI.parse(
"https://api.secfilingdata.com/v1/filings/contactdata/"
)
post_data = {
query_type: "companyName",
query_value: "Apple Inc.",
from: 0,
size: 10,
sort_order: "DESC",
startDate: "",
endDate: ""
}
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url.request_uri)
request["Content-Type"] = "application/json"
request["Authorization"] = "AUTH_TOKEN"
request.body = post_data.to_json
response = http.request(request)
puts response.body
[
{
"json_data": {
"data": [
{
"cik_number": "0000320193",
"company_name": "Apple Inc.",
"sic": "3571",
"sic_description": "Electronic Computers",
"category": "Large accelerated filer",
"stateOfIncorporation": "CA",
"fiscalYearEnd": "0926",
"phone": "(408) 996-1010",
"ticker": "AAPL",
"business_address": {
"street1": "ONE APPLE PARK WAY",
"street2": null,
"city": "CUPERTINO",
"stateOrCountry": "CA",
"zipCode": "95014",
"stateOrCountryDescription": "CA",
"isForeignLocation": null,
"foreignStateTerritory": null,
"country": null,
"countryCode": null
},
"mailing_address": {
"street1": "ONE APPLE PARK WAY",
"street2": null,
"city": "CUPERTINO",
"stateOrCountry": "CA",
"zipCode": "95014",
"stateOrCountryDescription": "CA",
"isForeignLocation": 0,
"foreignStateTerritory": null,
"country": null,
"countryCode": null
}
}
],
"emails": [
"csmith@robbinsllp.com",
"jkramer@orrick.com",
"dkatz@weisslawllp.com",
"cmith@robbinsllp.com",
"investor_relations@apple.com",
"scasey@apple.com",
"suhasini@apple.com",
"media.help@apple.com",
"jrosenstock@apple.com",
"tgala@apple.com"
],
"websites": [
"https:\/\/ecf.cand.uscourts.gov",
"www.apple.com"
],
"webpages": [
"https:\/\/ecf.cand.uscourts.gov",
"www.apple.com\/newsroom",
"www.apple.com\/investor\/earnings-call",
"www.apple.com\/pr",
"www.apple.com\/investor\/earnings-call\/",
"www.apple.com\/quicktime\/qtv\/earningsq415",
"www.apple.com\/quicktime\/qtv\/earningsq315",
"www.apple.com\/quicktime\/qtv\/earningsq215",
"www.apple.com\/quicktime\/qtv\/earningsq115",
"www.apple.com\/quicktime\/qtv\/earningsq414"
]
}
}
]
application/jsonjson_encode($postData)| Status Code | Description |
|---|---|
| 200 | Successful request |
| 204 | No results found |
| 400 | Invalid request parameters |
| 401 | Unauthorized / Invalid token |
| 500 | Internal server error |